Last Comment Bug 1296685 - remove dead attributes from apprelease blobs
: remove dead attributes from apprelease blobs
Status: RESOLVED FIXED
[lang=python][good first bug]
:
Product: Release Engineering
Classification: Other
Component: Balrog: Backend (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: ---
Assigned To: Ninad Bhat[:ninad101]
: Ben Hearsum (:bhearsum)
:
Mentors: Ben Hearsum (:bhearsum)
Depends on: 1305703
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-19 10:02 PDT by Ben Hearsum (:bhearsum)
Modified: 2016-09-28 10:35 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Ben Hearsum (:bhearsum) 2016-08-19 10:02:17 PDT
From https://bugzilla.mozilla.org/show_bug.cgi?id=1296207#c11:
> They shouldn't cause any problems if they are still there but
> platformVersion and billboardURL should be removed from AUS for the version
> that this lands for.



Not sure when this will land yet, but we go ahead and create a new apprelease blob anytime.
Comment 1 User image Robert Strong [:rstrong] (use needinfo to contact me) 2016-08-19 12:02:18 PDT
Might be a good thing for me to review what else AUS supports. A couple of other attributes that were deprecated but I don't think we have support for except for old versions are licenseURL, version, and extensionVersion.
Comment 2 User image Wasim Thabraze 2016-09-01 00:13:28 PDT
Hello Ben,

I would like to work on this bug. I feel glad if you can mentor me in fixing it.

Thank You.
Comment 3 User image Ben Hearsum (:bhearsum) 2016-09-01 06:14:02 PDT
(In reply to Wasim Thabraze from comment #2)
> Hello Ben,
> 
> I would like to work on this bug. I feel glad if you can mentor me in fixing
> it.
> 
> Thank You.

Hi Wasim, thanks for your interest! Before you get started it would be a good idea to fork the Balrog repo (https://github.com/mozilla/balrog), clone it locally, and make sure you can run all the tests succesfully. Once you have your local repo, try running "run-test.sh" and make sure it passes.

If you have any trouble getting set-up feel free to e-mail me, or ask in irc://irc.mozilla.org/#balrog

Once you've got your tests passing, here's the rough plan for this bug:
* Create a new "blob" based on ReleaseBlobV5 (from https://github.com/mozilla/balrog/blob/7bc4d6cb0b9466c856847af5fd9a30917745df5b/auslib/blobs/apprelease.py#L650), but remove support for the platformVersion, billboardURL, licenseURL, version, and extensionVersion.
** This will involve cloning both the Python class and schema (https://github.com/mozilla/balrog/blob/7bc4d6cb0b9466c856847af5fd9a30917745df5b/auslib/blobs/schemas/apprelease-v5.yml)
* New tests will need to be added to make sure the new blob class functions correctly. They can probably be based on the V5 ones at https://github.com/mozilla/balrog/blob/7bc4d6cb0b9466c856847af5fd9a30917745df5b/auslib/test/blobs/test_apprelease.py#L1491.
* The blob factory will need updating as well (https://github.com/mozilla/balrog/blob/7bc4d6cb0b9466c856847af5fd9a30917745df5b/auslib/blobs/base.py)
Comment 4 User image [github robot] 2016-09-21 05:07:29 PDT
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/8d5ed73bd838094b3616815691b773acb3b80662
bug 1296685: Added an optional attribute "product" to all blob schemas (#129). r=bhearsum
Comment 5 User image Ben Hearsum (:bhearsum) 2016-09-21 05:09:25 PDT
(In reply to Robert Strong [:rstrong] (use needinfo to contact me) from comment #1)
> Might be a good thing for me to review what else AUS supports. A couple of
> other attributes that were deprecated but I don't think we have support for
> except for old versions are licenseURL, version, and extensionVersion.

Just to double check - it's okay to remove these 3 attributes as well? Anything else you can think of?
Comment 6 User image Ben Hearsum (:bhearsum) 2016-09-21 06:08:15 PDT
(In reply to [github robot] from comment #4)
> Commit pushed to master at https://github.com/mozilla/balrog
> 
> https://github.com/mozilla/balrog/commit/
> 8d5ed73bd838094b3616815691b773acb3b80662
> bug 1296685: Added an optional attribute "product" to all blob schemas
> (#129). r=bhearsum

This was meant for a different bug...
Comment 7 User image Robert Strong [:rstrong] (use needinfo to contact me) 2016-09-21 08:03:07 PDT
(In reply to Ben Hearsum (:bhearsum) from comment #5)
> (In reply to Robert Strong [:rstrong] (use needinfo to contact me) from
> comment #1)
> > Might be a good thing for me to review what else AUS supports. A couple of
> > other attributes that were deprecated but I don't think we have support for
> > except for old versions are licenseURL, version, and extensionVersion.
> 
> Just to double check - it's okay to remove these 3 attributes as well?
> Anything else you can think of?
It is okay and I'd go with Firefox 51 and above.
I can't think of anything else that can be removed.
Comment 8 User image [github robot] 2016-09-22 07:31:19 PDT
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/a9681be962001b1f973b0b38b6cdf11ad96e0941
bug 1296685: remove dead attributes from apprelease blobs (#130). r=bhearsum
Comment 9 User image Ben Hearsum (:bhearsum) 2016-09-28 10:35:59 PDT
This is in production now, thanks Ninad!

Note You need to log in before you can comment on or make changes to this bug.